package org.ntlab.radishforandroidstudio.framework.subject;

import org.ntlab.radishforandroidstudio.framework.event.PadEvent;
import org.ntlab.radishforandroidstudio.framework.listener.PadListener;

// 実装いらない説
// Listener側と同じようにC++のテンプレート特殊化的なことだけして中身なしにするかも
public class PadSubject extends MySubject<PadListener, PadEvent> {
    public final static PadSubject own = new PadSubject();

    private PadSubject() { super(); }

    public static PadSubject getInstance() {
        return own;
    }
}
